All Classes Files Functions Variables Pages
rtl Architecture Reference

## Constants

c_NUM_INTERNAL_SLAVES | positive := 2
| Number of slaves inside the IPBusInterface block.

## Signals

clk125 | STD_LOGIC
locked | STD_LOGIC
rst_125 | STD_LOGIC
rst_ipb | STD_LOGIC
mac_txd | STD_LOGIC_VECTOR ( 7 downto 0 )
mac_rxd | STD_LOGIC_VECTOR ( 7 downto 0 )
mac_txdvld | STD_LOGIC
mac_txack | STD_LOGIC
mac_rxclko | STD_LOGIC
mac_rxdvld | STD_LOGIC
mac_rxgoodframe | STD_LOGIC
mac_rxbadframe | STD_LOGIC
ipb_master_out | ipb_wbus
ipb_master_in | ipb_rbus
mac_addr | std_logic_vector ( 47 downto 0 )
mac_tx_data | std_logic_vector ( 7 downto 0 )
mac_rx_data | std_logic_vector ( 7 downto 0 )
mac_tx_valid | std_logic
mac_tx_last | std_logic
mac_tx_error | std_logic
mac_tx_ready | std_logic
mac_rx_valid | std_logic
mac_rx_last | std_logic
mac_rx_error | std_logic
ip_addr | std_logic_vector ( 31 downto 0 )
s_ipb_clk | std_logic
s_ipbw_internal | ipb_wbus_array ( NUM_EXT_SLAVES + c_NUM_INTERNAL_SLAVES - 1 downto 0 )
s_ipbr_internal | ipb_rbus_array ( NUM_EXT_SLAVES + c_NUM_INTERNAL_SLAVES - 1 downto 0 )
s_sysclk | std_logic
pkt_rx | std_logic
pkt_tx | std_logic
pkt_rx_led | std_logic
pkt_tx_led | std_logic
sys_rst | std_logic

## Instantiations

clocks | clocks_s6_extphy <Entity clocks_s6_extphy>
eth | work.eth_s6_gmii
ipbus | work.ipbus_ctrl
fabric | work.ipbus_fabric
firmware_id | ipbus_ver <Entity ipbus_ver>

The documentation for this class was generated from the following file:

- /projects/HEP_Instrumentation/cad/designs/fmc-mtlu/trunk/firmware/hdl/common/IPBusInterface_rtl.vhd